All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::is_any_scalar< T > Struct Template Reference

Helper struct for checking whether the provided type represents a scalar (either host, from ViennaCL, or a flip-sign proxy) More...

`#include <forwards.h>`

## Public Types

enum | { value = (is_scalar<T>::value || is_cpu_scalar<T>::value || is_flip_sign_scalar<T>::value ) }

## Detailed Description

### template<typename T>
struct viennacl::is_any_scalar< T >

Helper struct for checking whether the provided type represents a scalar (either host, from ViennaCL, or a flip-sign proxy)

Definition at line 469 of file forwards.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator
value |

Definition at line 471 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h